Go Down

Topic: MKR1000 - WifI101 firmware 19.6.1 vs. 19.5.4? (Read 270 times) previous topic - next topic

gbucas

I am using Arduino IDE 1.8.9 on Windows 10.

I am a little confused about the "latest" version of Wifi101 for the MKR1000 board.

When I do a firmware check I get this:

------
WiFi101 firmware check.

WiFi101 shield: DETECTED
Firmware version installed: 19.6.1
Latest firmware version available : 19.5.4

Check result: NOT PASSED
------

So I guess my IDE only has 19.5.4 whereas my board has a later version 19.6.1

So how does one get the "latest" version (19.6.1) of this firmware so that these two match?

Or do I have to go back to installing 19.5.4 on my MKR1000 board?

The latest version of Wifi1010 library according to the library manager is:  0.15.3. (that version is installed on my IDE). This does not seem to bear any relation to the firmware version numbers.

Can someone clarify this for me please...?

Thanks!

Gerard

sandeepmistry

Hi @gbucas

19.6.1 is the latest version of the firmware. I've made a new WiFi101 library release to reflect this, v0.16.0 will be available in the Arduino IDE's library manager shortly.

jomoengineer

The CheckWiFi101FirmwareVersion script maybe checking if the installed firmware is equal to the latest Firmware listed in the code which is 19.5.4. This check should be '>=' to pass with the 19.6.1 version.

Ex:
Code: [Select]
  // Check if the latest version is installed
  Serial.println();
  if (fv >= latestFv) {
    Serial.println("Check result: PASSED");
  } else {
    Serial.println("Check result: NOT PASSED");
    Serial.println(" - The firmware version on the shield do not match the");
    Serial.println("   version required by the library, you may experience");
    Serial.println("   issues or failures.");
  }



However, with the MKR1000 I have had better luck getting a consistent connection with FW rev 19.5.4 then I have had with 19.6.1.

Go Up